LayerDialog Class Reference

Arrange layers dialog. More...

`#include <LayerDialog.h>`

Inheritance diagram for LayerDialog:

## Public Member Functions

| LayerDialog (QWidget *parent, bool okMode=false, Qt::WFlags fl=0)
void | setColumns (int)
void | setLayerCanvasSize (int w, int h, int unit)
void | setLayers (int layers)
void | setMargins (int, int, int, int)
void | setMultiLayer (MultiLayer *g)
void | setRows (int)
void | setSharedAxes (bool=true)

## Protected Slots

void | accept ()
void | adjustCanvasHeight (double width)
void | adjustCanvasWidth (double height)
void | enableLayoutOptions (bool ok)
void | showCommonAxesBox ()
void | swapLayers ()
void | update ()
void | updateSizes (int unit)

## Private Member Functions

void | closeEvent (QCloseEvent *)
double | convertFromPixels (int w, FrameWidget::Unit unit, int dimension)
int | convertToPixels (double w, FrameWidget::Unit unit, int dimension)

## Private Attributes

QComboBox * | alignHorBox
QComboBox * | alignPolicyBox
QComboBox * | alignVertBox
double | aspect_ratio
QSpinBox * | boxBottomSpace
DoubleSpinBox * | boxCanvasHeight
DoubleSpinBox * | boxCanvasWidth
QSpinBox * | boxColsGap
QSpinBox * | boxLayerDest
QSpinBox * | boxLayerSrc
QSpinBox * | boxLeftSpace
QSpinBox * | boxRightSpace
QSpinBox * | boxRowsGap
QSpinBox * | boxTopSpace
QSpinBox * | boxX
QSpinBox * | boxY
QPushButton * | buttonApply
QPushButton * | buttonCancel
QPushButton * | buttonOk
QPushButton * | buttonSwapLayers
QCheckBox * | commonAxesBox
QCheckBox * | fitBox
QCheckBox * | fixedSizeBox
QGroupBox * | GroupCanvasSize
QGroupBox * | GroupGrid
QCheckBox * | keepRatioBox
QSpinBox * | layersBox
QCheckBox * | linkXAxesBox
MultiLayer * | multi_layer
QComboBox * | unitBox

## Detailed Description

Arrange layers dialog.

## Constructor & Destructor Documentation

LayerDialog::LayerDialog | ( | QWidget * | parent,
|  | bool | okMode = `false`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), adjustCanvasHeight(), adjustCanvasWidth(), alignHorBox, alignPolicyBox, alignVertBox, boxBottomSpace, boxCanvasHeight, boxCanvasWidth, boxColsGap, boxLayerDest, boxLayerSrc, boxLeftSpace, boxRightSpace, boxRowsGap, boxTopSpace, boxX, boxY, buttonApply, buttonCancel, buttonOk, buttonSwapLayers, commonAxesBox, enableLayoutOptions(), fitBox, fixedSizeBox, GroupCanvasSize, GroupGrid, keepRatioBox, layersBox, linkXAxesBox, DoubleSpinBox::setDecimals(), DoubleSpinBox::setRange(), showCommonAxesBox(), swapLayers(), unitBox, update(), and updateSizes().

## Member Function Documentation

void LayerDialog::accept | ( |  | ) |

protected slot

References update().

Referenced by LayerDialog().

void LayerDialog::adjustCanvasHeight | ( | double | width | ) |

protected slot

References aspect_ratio, boxCanvasHeight, keepRatioBox, DoubleSpinBox::setValue(), and DoubleSpinBox::value().

Referenced by LayerDialog().

void LayerDialog::adjustCanvasWidth | ( | double | height | ) |

protected slot

References aspect_ratio, boxCanvasWidth, keepRatioBox, DoubleSpinBox::setValue(), and DoubleSpinBox::value().

Referenced by LayerDialog().

void LayerDialog::closeEvent | ( | QCloseEvent * | e | ) |

private

References ApplicationWindow::d_keep_aspect_ration, and keepRatioBox.

double LayerDialog::convertFromPixels | ( | int | w,
|  | FrameWidget::Unit | unit,
|  | int | dimension
| ) |  |

private

References FrameWidget::Centimeter, FrameWidget::Inch, FrameWidget::Millimeter, multi_layer, FrameWidget::Pixel, and FrameWidget::Point.

Referenced by setLayerCanvasSize(), update(), and updateSizes().

int LayerDialog::convertToPixels | ( | double | w,
|  | FrameWidget::Unit | unit,
|  | int | dimension
| ) |  |

private

References FrameWidget::Centimeter, FrameWidget::Inch, FrameWidget::Millimeter, multi_layer, FrameWidget::Pixel, and FrameWidget::Point.

Referenced by update().

void LayerDialog::enableLayoutOptions | ( | bool | ok | ) |

protected slot

References GroupCanvasSize, and GroupGrid.

Referenced by LayerDialog().

void LayerDialog::setColumns | ( | int | c | ) |

References boxX.

void LayerDialog::setLayerCanvasSize | ( | int | w,
|  | int | h,
|  | int | unit
| ) |  |

References aspect_ratio, boxCanvasHeight, boxCanvasWidth, convertFromPixels(), GroupCanvasSize, DoubleSpinBox::setValue(), unitBox, and DoubleSpinBox::value().

void LayerDialog::setLayers | ( | int | layers | ) |

References layersBox.

void LayerDialog::setMargins | ( | int | l,
|  | int | t,
|  | int | r,
|  | int | b
| ) |  |

References boxBottomSpace, boxLeftSpace, boxRightSpace, and boxTopSpace.

void LayerDialog::setMultiLayer | ( | MultiLayer * | g | ) |

References alignHorBox, MultiLayer::alignPolicy(), alignPolicyBox, alignVertBox, MdiSubWindow::applicationWindow(), MultiLayer::bottomMargin(), boxBottomSpace, boxColsGap, boxLayerDest, boxLayerSrc, boxLeftSpace, boxRightSpace, boxRowsGap, boxTopSpace, boxX, boxY, MultiLayer::colsSpacing(), commonAxesBox, ApplicationWindow::d_layer_geometry_unit, fixedSizeBox, MultiLayer::getCols(), MultiLayer::getRows(), GroupCanvasSize, MultiLayer::hasCommonAxes(), MultiLayer::hasLinkedXLayerAxes(), MultiLayer::horizontalAlignement(), layersBox, MultiLayer::leftMargin(), linkXAxesBox, multi_layer, MultiLayer::numLayers(), MultiLayer::rightMargin(), MultiLayer::rowsSpacing(), MultiLayer::scaleLayersOnResize(), showCommonAxesBox(), MultiLayer::sizePolicy(), MultiLayer::topMargin(), unitBox, updateSizes(), MultiLayer::UserSize, and MultiLayer::verticalAlignement().

void LayerDialog::setRows | ( | int | r | ) |

References boxY.

void LayerDialog::setSharedAxes | ( | bool | on = `true` | ) |

References MultiLayer::AlignCanvases, alignPolicyBox, boxColsGap, boxRowsGap, and commonAxesBox.

void LayerDialog::showCommonAxesBox | ( |  | ) |

protected slot

References MultiLayer::AlignCanvases, alignPolicyBox, boxColsGap, boxRowsGap, and commonAxesBox.

Referenced by LayerDialog(), and setMultiLayer().

void LayerDialog::swapLayers | ( |  | ) |

protected slot

References boxLayerDest, boxLayerSrc, multi_layer, and MultiLayer::swapLayers().

Referenced by LayerDialog().

void LayerDialog::update | ( |  | ) |

protected slot

References alignHorBox, MultiLayer::AlignLayers, alignPolicyBox, alignVertBox, MdiSubWindow::applicationWindow(), MultiLayer::arrangeLayers(), boxBottomSpace, boxCanvasHeight, boxCanvasWidth, boxColsGap, boxLeftSpace, boxRightSpace, boxRowsGap, boxTopSpace, boxX, boxY, buttonApply, commonAxesBox, convertFromPixels(), convertToPixels(), ApplicationWindow::d_layer_geometry_unit, ApplicationWindow::defaultCurveStyle, fitBox, fixedSizeBox, MultiLayer::getCols(), MultiLayer::getRows(), GroupCanvasSize, MultiLayer::layer(), MultiLayer::layerCanvasSize(), layersBox, MultiLayer::layersList(), linkXAxesBox, MultiLayer::linkXLayerAxes(), multi_layer, ApplicationWindow::multilayerPlot(), Graph::newLegend(), MultiLayer::numLayers(), Graph::removeLegend(), MultiLayer::setAlignement(), MultiLayer::setAlignPolicy(), MultiLayer::setCols(), MultiLayer::setCommonAxesLayout(), MultiLayer::setCommonLayerAxes(), MultiLayer::setLayerCanvasSize(), MultiLayer::setMargins(), MultiLayer::setNumLayers(), ApplicationWindow::setPreferences(), MultiLayer::setRows(), MultiLayer::setScaleLayersOnResize(), MultiLayer::setSpacing(), DoubleSpinBox::setValue(), unitBox, and DoubleSpinBox::value().

Referenced by accept(), and LayerDialog().

void LayerDialog::updateSizes | ( | int | unit | ) |

protected slot

References aspect_ratio, boxCanvasHeight, boxCanvasWidth, convertFromPixels(), MultiLayer::layerCanvasSize(), multi_layer, FrameWidget::Pixel, FrameWidget::Point, DoubleSpinBox::setFormat(), DoubleSpinBox::setSingleStep(), and DoubleSpinBox::setValue().

Referenced by LayerDialog(), and setMultiLayer().

## Member Data Documentation

QComboBox* LayerDialog::alignHorBox

private

Referenced by LayerDialog(), setMultiLayer(), and update().

QComboBox* LayerDialog::alignPolicyBox

private

Referenced by LayerDialog(), setMultiLayer(), setSharedAxes(), showCommonAxesBox(), and update().

QComboBox * LayerDialog::alignVertBox

private

Referenced by LayerDialog(), setMultiLayer(), and update().

double LayerDialog::aspect_ratio

private

Referenced by adjustCanvasHeight(), adjustCanvasWidth(), setLayerCanvasSize(), and updateSizes().

QSpinBox * LayerDialog::boxBottomSpace

private

Referenced by LayerDialog(), setMargins(), setMultiLayer(), and update().

DoubleSpinBox * LayerDialog::boxCanvasHeight

private

Referenced by adjustCanvasHeight(), LayerDialog(), setLayerCanvasSize(), update(), and updateSizes().

DoubleSpinBox* LayerDialog::boxCanvasWidth

private

Referenced by adjustCanvasWidth(), LayerDialog(), setLayerCanvasSize(), update(), and updateSizes().

QSpinBox * LayerDialog::boxColsGap

private

Referenced by LayerDialog(), setMultiLayer(), setSharedAxes(), showCommonAxesBox(), and update().

QSpinBox* LayerDialog::boxLayerDest

private

Referenced by LayerDialog(), setMultiLayer(), and swapLayers().

QSpinBox * LayerDialog::boxLayerSrc

private

Referenced by LayerDialog(), setMultiLayer(), and swapLayers().

QSpinBox * LayerDialog::boxLeftSpace

private

Referenced by LayerDialog(), setMargins(), setMultiLayer(), and update().

QSpinBox* LayerDialog::boxRightSpace

private

Referenced by LayerDialog(), setMargins(), setMultiLayer(), and update().

QSpinBox * LayerDialog::boxRowsGap

private

Referenced by LayerDialog(), setMultiLayer(), setSharedAxes(), showCommonAxesBox(), and update().

QSpinBox * LayerDialog::boxTopSpace

private

Referenced by LayerDialog(), setMargins(), setMultiLayer(), and update().

QSpinBox* LayerDialog::boxX

private

Referenced by LayerDialog(), setColumns(), setMultiLayer(), and update().

QSpinBox * LayerDialog::boxY

private

Referenced by LayerDialog(), setMultiLayer(), setRows(), and update().

QPushButton* LayerDialog::buttonApply

private

Referenced by LayerDialog(), and update().

QPushButton* LayerDialog::buttonCancel

private

Referenced by LayerDialog().

QPushButton* LayerDialog::buttonOk

private

Referenced by LayerDialog().

QPushButton* LayerDialog::buttonSwapLayers

private

Referenced by LayerDialog().

QCheckBox* LayerDialog::commonAxesBox

private

Referenced by LayerDialog(), setMultiLayer(), setSharedAxes(), showCommonAxesBox(), and update().

QCheckBox* LayerDialog::fitBox

private

Referenced by LayerDialog(), and update().

QCheckBox* LayerDialog::fixedSizeBox

private

Referenced by LayerDialog(), setMultiLayer(), and update().

QGroupBox* LayerDialog::GroupCanvasSize

private

Referenced by enableLayoutOptions(), LayerDialog(), setLayerCanvasSize(), setMultiLayer(), and update().

QGroupBox * LayerDialog::GroupGrid

private

Referenced by enableLayoutOptions(), and LayerDialog().

QCheckBox* LayerDialog::keepRatioBox

private

Referenced by adjustCanvasHeight(), adjustCanvasWidth(), closeEvent(), and LayerDialog().

QSpinBox* LayerDialog::layersBox

private

Referenced by LayerDialog(), setLayers(), setMultiLayer(), and update().

QCheckBox* LayerDialog::linkXAxesBox

private

Referenced by LayerDialog(), setMultiLayer(), and update().

MultiLayer* LayerDialog::multi_layer

private

Referenced by convertFromPixels(), convertToPixels(), setMultiLayer(), swapLayers(), update(), and updateSizes().

QComboBox* LayerDialog::unitBox

private

Referenced by LayerDialog(), setLayerCanvasSize(), setMultiLayer(), and update().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/LayerDialog.h
- qtiplot/src/plot2D/dialogs/LayerDialog.cpp